PUT /api/v1/voice_agent_keywords/:id
Update AI Keyword Rule by id.
Params
| Param name | Description Validations |
|---|---|
| voice_agent_flow_id OptionalBlank Value Allowed |
Voice Agent Flow Validations: - Must be a valid foreign key reference to an Voice Agent Flow. Refer to: /api/docs/1.0/voice_agent_flows |
| description OptionalBlank Value Allowed |
Description – Internal note describing the purpose of this rule. Validations: - Must be a String |
| detection_channel OptionalBlank Value Allowed |
Detection Channel – Where to listen for keywords (inbound, outbound, or all). Defaults to all. Validations: - Must be a String |
| keywords OptionalBlank Value Allowed |
Keywords – Comma-separated list of words or phrases to detect. Validations: - Must be an array of strings. EG: `[ |
| "abc123", | |
| "xzy023" | |
| ]` | |
| call_disposition_id OptionalBlank Value Allowed |
Call Disposition – Disposition to apply when keywords are detected. Validations: - Must be a valid foreign key reference to an Call Disposition. Refer to: /api/docs/1.0/call_dispositions |
| schedule_action_group_id OptionalBlank Value Allowed |
Schedule Action Group – Action group to schedule when keywords are detected. Validations: - Must be a valid foreign key reference to an Schedule Action Group. Refer to: /api/docs/1.0/schedule_action_groups |
| call_control_action_ids OptionalBlank Value Allowed |
Call Control Action IDs – Additional call control actions to perform. Validations: - Must be a valid array of integers. Each integer ID must be a valid foreign key reference to an Call Control Action. Refer to: /api/docs/1.0/call_control_actions |